
Redmine - Patch #4069

Alternate theme lacking right border if no sidebar present

2009-10-21 13:27 - Felix Schäfer

Status: Closed Start date: 2009-10-21

Priority: Low Due date:  

Assignee: Eric Davis % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version: 0.9.0   

Description

Pages without a sidebar lack the right border on the content div with the alternate style. It's enough to specialise the #content style in

the alternate css with a  #main.nosidebar #content to get it back. (test on Safari 4, redmine r2902).

git diff:

--- a/public/themes/alternate/stylesheets/application.css

+++ b/public/themes/alternate/stylesheets/application.css

@@ -3,7 +3,7 @@

 body, #wrapper { background-color:#EEEEEE; }

 #header, #top-menu { margin: 0px 10px 0px 11px; }

 #main { background: #EEEEEE; margin: 8px 10px 0px 10px; }

-#content { background: #fff; border-right: 1px solid #bbb; border-bottom: 1px solid #bbb; border-

left: 1px solid #d7d7d7; border-top: 1px solid #d7d7d7; }

+#content, #main.nosidebar #content { background: #fff; border-right: 1px solid #bbb; border-botto

m: 1px solid #bbb; border-left: 1px solid #d7d7d7; border-

 #footer { background-color:#EEEEEE; border: 0px; }

 /* Headers */

Associated revisions

Revision 3069 - 2009-11-15 22:15 - Jean-Philippe Lang

Fixed: Alternate theme lacking right border if no sidebar present (#4069).

History

#1 - 2009-11-12 17:30 - Felix Schäfer

- Assignee set to Eric Davis

Just wanted to get this off my plate. Eric, I noticed you incorporated some css fixes, would you mind taking those in too? Thanks :-)

#2 - 2009-11-15 22:10 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.9.0

Applied in r3069.

Note that the patched line was truncated in your diff.

#3 - 2009-11-16 00:25 - Felix Schäfer

Thanks, and sorry for the truncated diff.
